Page MenuHomePhabricator

Deploy uniqueness constraints on ores_classification table
Closed, ResolvedPublic

Description

After T163337: Job queue corruption after codfw switch over (Queue growth, duplicate runs) I think it's important to deploy these constraints.

  • The patch
  • Wikis to run: enwiki, wikidatawiki, fawiki, ruwiki, plwiki, nlwiki, trwiki, ptwiki (cswiki, etwiki, hewiki already have them)
  • Before running it, we should run a maintenance script to clean up possible duplicates otherwise the alter table might fail.
  • The change is backward compatible and tested
  • The whole table is public so no need to worry about data leak in labs replicas

One thing that I'm worried about is if we apply these changes and jobrunner goes crazy again we might end up with a huge pile of log spam of database error. How to address that, I don't know

  • enwiki
  • wikidatawiki
  • fawiki
  • ruwiki
  • plwiki
  • nlwiki
  • trwiki
  • ptwiki

Details

Related Gerrit Patches:
operations/mediawiki-config : masterdb-eqiad.php: Repool db1094
operations/mediawiki-config : masterdb-eqiad.php: Repool db1086, depool db1094
operations/mediawiki-config : masterdb-eqiad.php: Repool db1079, depool db1086
operations/mediawiki-config : masterdb-eqiad.php: Depool db1079
operations/mediawiki-config : masterdb-eqiad.php: Repool db1093
operations/mediawiki-config : masterdb-eqiad.php: Repool db1088, depool db1093
operations/mediawiki-config : masterdb-eqiad.php: Repool db1085, depool db1088
operations/mediawiki-config : masterdb-eqiad.php: Depool db1085
operations/mediawiki-config : masterdb-eqiad.php: Repool db1026, depool db1045
operations/mediawiki-config : masterdb-eqiad.php: Depool db1026
operations/mediawiki-config : masterdb-eqiad.php: Depool db1051
operations/mediawiki-config : masterdb-eqiad.php: Depool db1055
operations/mediawiki-config : masterdb-eqiad.php: Repool db1066
operations/mediawiki-config : masterdb-eqiad.php: Repool db1072, depool db1066
operations/mediawiki-config : masterdb-eqiad.php: Repool db1076, depool db1074
operations/mediawiki-config : masterdb-eqiad.php: Repool db1073, depool db1072
operations/mediawiki-config : masterdb-eqiad.php: Repool db1080, depool db1073
operations/mediawiki-config : masterdb-eqiad.php: Repool db1083, depool db1080
operations/mediawiki-config : masterdb-eqiad.php: Depool db1083
operations/mediawiki-config : masterdb-eqiad.php: Depool db1090 for maintenance

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Mentioned in SAL (#wikimedia-operations) [2017-05-18T08:46:34Z] <marostegui@tin> Synchronized wmf-config/db-eqiad.php: Depool db1089 - T159753 T164530 (duration: 00m 39s)

enwiki db1089 is done:

root@neodymium:/home/marostegui/git/software/dbtools# mysql --skip-ssl -hdb1089 enwiki -e "show create table ores_classification\G"  | egrep "oresc_winner|oresc_rev_model_class|oresc_rev_predicted_model"
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)

Mentioned in SAL (#wikimedia-operations) [2017-05-18T08:52:17Z] <marostegui@tin> Synchronized wmf-config/db-eqiad.php: Repool db1089 - T159753 T164530 (duration: 00m 39s)

Change 354195 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1083

https://gerrit.wikimedia.org/r/354195

Change 354195 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1083

https://gerrit.wikimedia.org/r/354195

Mentioned in SAL (#wikimedia-operations) [2017-05-18T09:14:36Z] <marostegui@tin> Synchronized wmf-config/db-eqiad.php: Depool db1083 - T159753 T164530 (duration: 00m 39s)

enwiki db1083 is done:

root@neodymium:/home/marostegui/git/software/dbtools#  mysql --skip-ssl -hdb1083 enwiki -e "show create table ores_classification\G"  | egrep "oresc_winner|oresc_rev_model_class|oresc_rev_predicted_model"
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)

Change 354200 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Repool db1083, depool db1080

https://gerrit.wikimedia.org/r/354200

Change 354200 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Repool db1083, depool db1080

https://gerrit.wikimedia.org/r/354200

Mentioned in SAL (#wikimedia-operations) [2017-05-18T09:33:28Z] <marostegui@tin> Synchronized wmf-config/db-eqiad.php: Repool db1083, depool db1080 - T159753 T164530 (duration: 00m 38s)

enwiki db1080 is done:

root@neodymium:/home/marostegui/git/software/dbtools#  mysql --skip-ssl -hdb1080 enwiki -e "show create table ores_classification\G"  | egrep "oresc_winner|oresc_rev_model_class|oresc_rev_predicted_model"
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)

Change 354203 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Repool db1080, depool db1073

https://gerrit.wikimedia.org/r/354203

Change 354203 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Repool db1080, depool db1073

https://gerrit.wikimedia.org/r/354203

Mentioned in SAL (#wikimedia-operations) [2017-05-18T09:49:00Z] <marostegui@tin> Synchronized wmf-config/db-eqiad.php: Repool db1080, depool db1073 - T159753 T164530 (duration: 00m 39s)

enwiki db1073 is done:

root@neodymium:/home/marostegui/git/software/dbtools#  mysql --skip-ssl -hdb1073 enwiki -e "show create table ores_classification\G"  | egrep "oresc_winner|oresc_rev_model_class|oresc_rev_predicted_model"
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)

Change 354208 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Repool db1073, depool db1072

https://gerrit.wikimedia.org/r/354208

Change 354208 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Repool db1073, depool db1072

https://gerrit.wikimedia.org/r/354208

Mentioned in SAL (#wikimedia-operations) [2017-05-18T11:23:55Z] <marostegui@tin> Synchronized wmf-config/db-eqiad.php: Repool db1073, depool db1072 - T159753 T164530 (duration: 00m 39s)

enwiki db1072 is done:

root@neodymium:/home/marostegui/git/software/dbtools#  mysql --skip-ssl -hdb1072 enwiki -e "show create table ores_classification\G"  | egrep "oresc_winner|oresc_rev_model_class|oresc_rev_predicted_model"
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)

Change 354218 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Repool db1076, depool db1074

https://gerrit.wikimedia.org/r/354218

Change 354218 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Repool db1076, depool db1074

https://gerrit.wikimedia.org/r/354218

Mentioned in SAL (#wikimedia-operations) [2017-05-18T12:44:16Z] <marostegui@tin> Synchronized wmf-config/db-eqiad.php: Repool db1076, depool db1074 - T159753 T164530 (duration: 00m 39s)

Change 354220 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Repool db1072, depool db1066

https://gerrit.wikimedia.org/r/354220

Change 354220 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Repool db1072, depool db1066

https://gerrit.wikimedia.org/r/354220

Mentioned in SAL (#wikimedia-operations) [2017-05-18T12:50:20Z] <marostegui@tin> Synchronized wmf-config/db-eqiad.php: Repool db1072, depool db1066 - T159753 T164530 (duration: 00m 38s)

enwiki db1066 is done:

root@neodymium:/home/marostegui/git/software/dbtools#  mysql --skip-ssl -hdb1066 enwiki -e "show create table ores_classification\G"  | egrep "oresc_winner|oresc_rev_model_class|oresc_rev_predicted_model"
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)

Change 354221 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Repool db1066

https://gerrit.wikimedia.org/r/354221

enwiki db1065 is done:

root@neodymium:/home/marostegui/git/software/dbtools#  mysql --skip-ssl -hdb1065 enwiki -e "show create table ores_classification\G"  | egrep "oresc_winner|oresc_rev_model_class|oresc_rev_predicted_model"
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)

Change 354221 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Repool db1066

https://gerrit.wikimedia.org/r/354221

Mentioned in SAL (#wikimedia-operations) [2017-05-18T12:57:35Z] <marostegui@tin> Synchronized wmf-config/db-eqiad.php: Repool db1066 - T159753 T164530 (duration: 00m 38s)

Change 354228 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1055

https://gerrit.wikimedia.org/r/354228

Change 354228 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1055

https://gerrit.wikimedia.org/r/354228

Mentioned in SAL (#wikimedia-operations) [2017-05-18T13:40:31Z] <marostegui@tin> Synchronized wmf-config/db-eqiad.php: Depool db1055 - T159753 T164530 (duration: 01m 03s)

enwiki db1055 is done:

root@neodymium:/home/marostegui/git/software/dbtools#  mysql --skip-ssl -hdb1055 enwiki -e "show create table ores_classification\G"  | egrep "oresc_winner|oresc_rev_model_class|oresc_rev_predicted_model"
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)

Mentioned in SAL (#wikimedia-operations) [2017-05-18T13:47:02Z] <marostegui@tin> Synchronized wmf-config/db-eqiad.php: Repool db1055 - T159753 T164530 (duration: 00m 39s)

Change 354383 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1051

https://gerrit.wikimedia.org/r/354383

Change 354383 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1051

https://gerrit.wikimedia.org/r/354383

Mentioned in SAL (#wikimedia-operations) [2017-05-19T06:23:33Z] <marostegui@tin> Synchronized wmf-config/db-eqiad.php: Depool db1051 - T159753 T164530 (duration: 00m 39s)

enwiki db1051 is done:

root@neodymium:~# mysql --skip-ssl -hdb1051 enwiki -e "show create table ores_classification\G"  | egrep "oresc_winner|oresc_rev_model_class|oresc_rev_predicted_model"
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)

Mentioned in SAL (#wikimedia-operations) [2017-05-19T06:34:42Z] <marostegui@tin> Synchronized wmf-config/db-eqiad.php: Repool db1051 - T159753 T164530 (duration: 00m 38s)

enwiki db1067 is done:

root@neodymium:~# mysql --skip-ssl -hdb1067 enwiki -e "show create table ores_classification\G"  | egrep "oresc_winner|oresc_rev_model_class|oresc_rev_predicted_model"
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)
Ladsgroup moved this task from In progress to Monitor on the User-Ladsgroup board.May 20 2017, 7:46 AM

enwiki master is done (db1052):

root@neodymium:~# mysql --skip-ssl -hdb1052 enwiki -e "show create table ores_classification\G"  | egrep "oresc_winner|oresc_rev_model_class|oresc_rev_predicted_model"
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)
Marostegui updated the task description. (Show Details)May 22 2017, 6:34 AM

Mentioned in SAL (#wikimedia-operations) [2017-05-22T07:07:24Z] <marostegui> Run CleanDuplicateScores script to clean up possible duplicates on wikidatawiki before starting to create the UNIQUE keys - T164530

Mentioned in SAL (#wikimedia-operations) [2017-05-22T07:14:35Z] <marostegui> Deploy alter table on s5 wikidatawiki.ores_classification directly on codfw master - T164530

wikidatawiki is done on all the hosts (dbstore2001 will get it tomorrow as it is the delayed slave):

root@neodymium:/home/marostegui/git/software/dbtools# for i in `cat s5.hosts | grep codfw | awk -F " " '{print $1}'`; do echo $i; mysql --skip-ssl -h$i wikidatawiki -e "show create table ores_classification\G" | egrep "oresc_winner|oresc_rev_model_class|oresc_rev_predicted_model";done
dbstore2001.codfw.wmnet
  KEY `oresc_winner` (`oresc_rev`,`oresc_is_predicted`)
dbstore2002.codfw.wmnet
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)
db2038.codfw.wmnet
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)
db2045.codfw.wmnet
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)
db2052.codfw.wmnet
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)
db2059.codfw.wmnet
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)
db2066.codfw.wmnet
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)
db2023.codfw.wmnet
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)

db1069 (and downstream) done:

root@neodymium:/home/marostegui/git/software/dbtools# mysql --skip-ssl -hdb1069 -P3315 wikidatawiki -e "show create table ores_classification\G"  | egrep "oresc_winner|oresc_rev_model_class|oresc_rev_predicted_model"
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)

dbstore1002 done:

root@neodymium:/home/marostegui/git/software/dbtools# mysql --skip-ssl -hdbstore1002 wikidatawiki -e "show create table ores_classification\G"  | egrep "oresc_winner|oresc_rev_model_class|oresc_rev_predicted_model"
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)

Change 355072 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1026

https://gerrit.wikimedia.org/r/355072

Change 355072 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1026

https://gerrit.wikimedia.org/r/355072

Mentioned in SAL (#wikimedia-operations) [2017-05-22T08:46:46Z] <marostegui@tin> Synchronized wmf-config/db-eqiad.php: Depool db1026 - T164530 (duration: 00m 38s)

Change 355073 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Repool db1026, depool db1045

https://gerrit.wikimedia.org/r/355073

Change 355073 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Repool db1026, depool db1045

https://gerrit.wikimedia.org/r/355073

Mentioned in SAL (#wikimedia-operations) [2017-05-22T09:09:55Z] <marostegui@tin> Synchronized wmf-config/db-eqiad.php: Repool db1026, depool db1045 - T164530 (duration: 00m 39s)

Graham87 removed a subscriber: Graham87.May 22 2017, 9:43 AM

db1026 is done:

root@neodymium:/home/marostegui/git/software/dbtools# mysql --skip-ssl -hdb1026 wikidatawiki -e "show create table ores_classification\G"  | egrep "oresc_winner|oresc_rev_model_class|oresc_rev_predicted_model"
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)

db1045 is done:

root@neodymium:/home/marostegui/git/software/dbtools# mysql --skip-ssl -hdb1045 wikidatawiki -e "show create table ores_classification\G"  | egrep "oresc_winner|oresc_rev_model_class|oresc_rev_predicted_model"
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)

db1049 is done:

root@neodymium:/home/marostegui/git/software/dbtools# mysql --skip-ssl -hdb1049 wikidatawiki -e "show create table ores_classification\G"  | egrep "oresc_winner|oresc_rev_model_class|oresc_rev_predicted_model"
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)

db1070 is done:

root@neodymium:/home/marostegui/git/software/dbtools# mysql --skip-ssl -hdb1070 wikidatawiki -e "show create table ores_classification\G"  | egrep "oresc_winner|oresc_rev_model_class|oresc_rev_predicted_model"
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)

db1071 is done:

root@neodymium:/home/marostegui/git/software/dbtools# mysql --skip-ssl -hdb1071 wikidatawiki -e "show create table ores_classification\G"  | egrep "oresc_winner|oresc_rev_model_class|oresc_rev_predicted_model"
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)

db1082 is done:

root@neodymium:/home/marostegui/git/software/dbtools# mysql --skip-ssl -hdb1082 wikidatawiki -e "show create table ores_classification\G"  | egrep "oresc_winner|oresc_rev_model_class|oresc_rev_predicted_model"
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)

db1087 is done:

root@neodymium:/home/marostegui/git/software/dbtools# mysql --skip-ssl -hdb1087 wikidatawiki -e "show create table ores_classification\G"  | egrep "oresc_winner|oresc_rev_model_class|oresc_rev_predicted_model"
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)

db1092 is done:

root@neodymium:/home/marostegui/git/software/dbtools# mysql --skip-ssl -hdb1092 wikidatawiki -e "show create table ores_classification\G"  | egrep "oresc_winner|oresc_rev_model_class|oresc_rev_predicted_model"
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)

db1063 is done:

root@neodymium:/home/marostegui/git/software/dbtools# mysql --skip-ssl -hdb1063 wikidatawiki -e "show create table ores_classification\G"  | egrep "oresc_winner|oresc_rev_model_class|oresc_rev_predicted_model"
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)
Marostegui updated the task description. (Show Details)May 22 2017, 1:36 PM

Mentioned in SAL (#wikimedia-operations) [2017-05-23T07:13:06Z] <marostegui> Deploy schema change on ruwiki.ores_classification directly on codfw master (db2028) - T164530

ruwiki on codfw is done (dbstore2001 will get it tomorrow, it is the delayed slave):

root@neodymium:/home/marostegui/git/software/dbtools# cat s6.hosts | grep codfw | grep -v labs | while read host port; do echo $host; mysql --skip-ssl -h$host -P$port ruwiki -e  "show create table ores_classification\G"  | egrep "oresc_winner|oresc_rev_model_class|oresc_rev_predicted_model";done
dbstore2001.codfw.wmnet
  KEY `oresc_winner` (`oresc_rev`,`oresc_is_predicted`)
db2039.codfw.wmnet
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)
db2046.codfw.wmnet
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)
db2053.codfw.wmnet
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)
db2060.codfw.wmnet
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)
db2067.codfw.wmnet
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)
db2028.codfw.wmnet
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)

db1069 done (and replicated downstream):

root@neodymium:/home/marostegui/git/software/dbtools# mysql --skip-ssl -hdb1069 -P3316 ruwiki -e "show create table ores_classification\G"  | egrep "oresc_winner|oresc_rev_model_class|oresc_rev_predicted_model"
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)

dbstore1002 is done:

root@neodymium:/home/marostegui/git/software/dbtools# mysql --skip-ssl -hdbstore1002 ruwiki -e "show create table ores_classification\G"  | egrep "oresc_winner|oresc_rev_model_class|oresc_rev_predicted_model"
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)

dbstore1001 is done:

root@neodymium:/home/marostegui/git/software/dbtools# mysql --skip-ssl -hdbstore1001 ruwiki -e "show create table ores_classification\G"  | egrep "oresc_winner|oresc_rev_model_class|oresc_rev_predicted_model"
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)

db1023 is done:

root@neodymium:/home/marostegui/git/software/dbtools# mysql --skip-ssl -hdb1023 ruwiki -e "show create table ores_classification\G"  | egrep "oresc_winner|oresc_rev_model_class|oresc_rev_predicted_model"
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)

db1030 is done:

root@neodymium:/home/marostegui/git/software/dbtools# mysql --skip-ssl -hdb1030 ruwiki -e "show create table ores_classification\G"  | egrep "oresc_winner|oresc_rev_model_class|oresc_rev_predicted_model"
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)

db1037 is done:

root@neodymium:/home/marostegui/git/software/dbtools# mysql --skip-ssl -hdb1037 ruwiki -e "show create table ores_classification\G"  | egrep "oresc_winner|oresc_rev_model_class|oresc_rev_predicted_model"
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)

Change 355193 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1085

https://gerrit.wikimedia.org/r/355193

Change 355193 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1085

https://gerrit.wikimedia.org/r/355193

Mentioned in SAL (#wikimedia-operations) [2017-05-23T10:43:34Z] <marostegui@tin> Synchronized wmf-config/db-eqiad.php: Depool db1085 - T164530 (duration: 00m 38s)

Change 355197 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Repool db1085, depool db1088

https://gerrit.wikimedia.org/r/355197

db1085 is done:

root@neodymium:/home/marostegui/git/software/dbtools# mysql --skip-ssl -hdb1085 ruwiki -e "show create table ores_classification\G"  | egrep "oresc_winner|oresc_rev_model_class|oresc_rev_predicted_model"
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)

Change 355197 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Repool db1085, depool db1088

https://gerrit.wikimedia.org/r/355197

Mentioned in SAL (#wikimedia-operations) [2017-05-23T10:54:27Z] <marostegui@tin> Synchronized wmf-config/db-eqiad.php: Repool db1085, depool db1088 - T164530 (duration: 00m 38s)

db1088 is done:

root@neodymium:/home/marostegui/git/software/dbtools# mysql --skip-ssl -hdb1088 ruwiki -e "show create table ores_classification\G"  | egrep "oresc_winner|oresc_rev_model_class|oresc_rev_predicted_model"
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)

Change 355198 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Repool db1088, depool db1093

https://gerrit.wikimedia.org/r/355198

Change 355198 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Repool db1088, depool db1093

https://gerrit.wikimedia.org/r/355198

Mentioned in SAL (#wikimedia-operations) [2017-05-23T11:07:36Z] <marostegui@tin> Synchronized wmf-config/db-eqiad.php: Repool db1088, depool db1093 - T164530 (duration: 00m 38s)

Change 355202 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Repool db1093

https://gerrit.wikimedia.org/r/355202

db1093 is done:

root@neodymium:/home/marostegui/git/software/dbtools# mysql --skip-ssl -hdb1093 ruwiki -e "show create table ores_classification\G"  | egrep "oresc_winner|oresc_rev_model_class|oresc_rev_predicted_model"
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)

Change 355202 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Repool db1093

https://gerrit.wikimedia.org/r/355202

Mentioned in SAL (#wikimedia-operations) [2017-05-23T11:19:32Z] <marostegui@tin> Synchronized wmf-config/db-eqiad.php: Repool db1093 - T164530 (duration: 00m 38s)

db1050 is done:

root@neodymium:/home/marostegui/git/software/dbtools# mysql --skip-ssl -hdb1050 ruwiki -e "show create table ores_classification\G"  | egrep "oresc_winner|oresc_rev_model_class|oresc_rev_predicted_model"
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)

db1061 (master) is done:

root@neodymium:/home/marostegui/git/software/dbtools# mysql --skip-ssl -hdb1061 ruwiki -e "show create table ores_classification\G"  | egrep "oresc_winner|oresc_rev_model_class|oresc_rev_predicted_model"
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)

All hosts done for ruwiki (dbstore2001 will get it tomorrow as it is the delayed slave):

root@neodymium:/home/marostegui/git/software/dbtools# cat s6.hosts  | grep -v labs | while read host port; do echo $host; mysql --skip-ssl -h$host -P$port ruwiki -e  "show create table ores_classification\G"  | egrep "oresc_winner|oresc_rev_model_class|oresc_rev_predicted_model";done
dbstore2001.codfw.wmnet
  KEY `oresc_winner` (`oresc_rev`,`oresc_is_predicted`)
db2039.codfw.wmnet
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)
db2046.codfw.wmnet
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)
db2053.codfw.wmnet
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)
db2060.codfw.wmnet
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)
db2067.codfw.wmnet
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)
db2028.codfw.wmnet
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)
db1069.eqiad.wmnet
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)
dbstore1001.eqiad.wmnet
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)
dbstore1002.eqiad.wmnet
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)
db1023.eqiad.wmnet
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)
db1030.eqiad.wmnet
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)
db1037.eqiad.wmnet
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)
db1085.eqiad.wmnet
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)
db1088.eqiad.wmnet
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)
db1093.eqiad.wmnet
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)
db1050.eqiad.wmnet
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)
db1061.eqiad.wmnet
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)
Marostegui updated the task description. (Show Details)May 23 2017, 11:32 AM

Mentioned in SAL (#wikimedia-operations) [2017-05-23T13:37:12Z] <marostegui> Run CleanDuplicateScores script to clean up possible duplicates on fawiki before starting to create the UNIQUE keys - https://phabricator.wikimedia.org/T164530

Mentioned in SAL (#wikimedia-operations) [2017-05-24T06:34:54Z] <marostegui> Deploy alter table on s2.fawiki directly on codfw master (db2029) after running the clean up duplicates script - https://phabricator.wikimedia.org/T164530

Done fawiki directly on codfw master so all codfw gets done (dbstore2001 is the delayed slave, so it will get there tomorrow):

root@neodymium:/home/marostegui/git/software/dbtools# cat s7.hosts  | grep codfw | while read host port; do echo $host; mysql --skip-ssl -h$host -P$port fawiki -e  "show create table ores_classification\G"  | egrep "oresc_winner|oresc_rev_model_class|oresc_rev_predicted_model";done
dbstore2001.codfw.wmnet
  KEY `oresc_winner` (`oresc_rev`,`oresc_is_predicted`)
db2040.codfw.wmnet
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)
db2047.codfw.wmnet
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)
db2054.codfw.wmnet
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)
db2061.codfw.wmnet
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)
db2068.codfw.wmnet
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)
db2029.codfw.wmnet
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)

db1069 done and replicated downstream to labs hosts:

root@neodymium:/home/marostegui/git/software/dbtools# mysql --skip-ssl -hdb1069 -P3317 fawiki -e "show create table ores_classification\G"  | egrep "oresc_winner|oresc_rev_model_class|oresc_rev_predicted_model"
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)

dbstore1002 done:

root@neodymium:/home/marostegui/git/software/dbtools# mysql --skip-ssl -hdbstore1002 fawiki -e "show create table ores_classification\G"  | egrep "oresc_winner|oresc_rev_model_class|oresc_rev_predicted_model"
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)

dbstore1001 done:

root@neodymium:/home/marostegui/git/software/dbtools# mysql --skip-ssl -hdbstore1001 fawiki -e "show create table ores_classification\G"  | egrep "oresc_winner|oresc_rev_model_class|oresc_rev_predicted_model"
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)

Change 355378 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1079

https://gerrit.wikimedia.org/r/355378

Change 355378 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1079

https://gerrit.wikimedia.org/r/355378

Mentioned in SAL (#wikimedia-operations) [2017-05-24T06:56:37Z] <marostegui@tin> Synchronized wmf-config/db-eqiad.php: Depool db1079 - T164530 (duration: 00m 54s)

Change 355379 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Repool db1079, depool db1086

https://gerrit.wikimedia.org/r/355379

Change 355379 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Repool db1079, depool db1086

https://gerrit.wikimedia.org/r/355379

Mentioned in SAL (#wikimedia-operations) [2017-05-24T07:03:55Z] <marostegui@tin> Synchronized wmf-config/db-eqiad.php: Repool db1079, depool db1086 - T164530 (duration: 00m 42s)

Change 355380 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Repool db1086, depool db1094

https://gerrit.wikimedia.org/r/355380

Change 355380 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Repool db1086, depool db1094

https://gerrit.wikimedia.org/r/355380

Mentioned in SAL (#wikimedia-operations) [2017-05-24T07:17:35Z] <marostegui@tin> Synchronized wmf-config/db-eqiad.php: Repool db1086, depool db1094 - T164530 (duration: 00m 41s)

Change 355382 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Repool db1094

https://gerrit.wikimedia.org/r/355382

Change 355382 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Repool db1094

https://gerrit.wikimedia.org/r/355382

Mentioned in SAL (#wikimedia-operations) [2017-05-24T07:28:59Z] <marostegui@tin> Synchronized wmf-config/db-eqiad.php: Repool db1094 - T164530 (duration: 00m 41s)

fawiki is done :

root@neodymium:/home/marostegui/git/software/dbtools# cat s7.hosts  | grep -v labs | while read host port; do echo $host; mysql --skip-ssl -h$host -P$port fawiki -e  "show create table ores_classification\G"  | egrep "oresc_winner|oresc_rev_model_class|oresc_rev_predicted_model";done
dbstore2001.codfw.wmnet
  KEY `oresc_winner` (`oresc_rev`,`oresc_is_predicted`)
db2040.codfw.wmnet
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)
db2047.codfw.wmnet
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)
db2054.codfw.wmnet
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)
db2061.codfw.wmnet
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)
db2068.codfw.wmnet
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)
db2029.codfw.wmnet
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)
db1069.eqiad.wmnet
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)
dbstore1001.eqiad.wmnet
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)
dbstore1002.eqiad.wmnet
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)
db1028.eqiad.wmnet
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)
db1033.eqiad.wmnet
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)
db1034.eqiad.wmnet
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)
db1039.eqiad.wmnet
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)
db1041.eqiad.wmnet
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)
db1079.eqiad.wmnet
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)
db1086.eqiad.wmnet
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)
db1094.eqiad.wmnet
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)
db1062.eqiad.wmnet
  UNIQUE KEY `oresc_rev_model_class` (`oresc_rev`,`oresc_model`,`oresc_class`),
  UNIQUE KEY `oresc_rev_predicted_model` (`oresc_rev`,`oresc_is_predicted`,`oresc_model`)
Marostegui updated the task description. (Show Details)May 24 2017, 7:32 AM
Marostegui closed this task as Resolved.May 24 2017, 7:40 AM

I have double checked all the wikis and they are all done.